
local pastry = ...

pastry:registerAssetId("models/pastry.fbx/Prefab/pastryPart", "PV3_PASTRY_WORKPLACE_PREFAB")

pastry:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING
	DataType = "BUILDING",
--Dclare la classe de l'objet que l'on cre
	Id = "PV3_PASTRY_WORKPLACE",
--Dclaration du Nom  Sert dans l'ecran de selection du Mod
	Name = "PV3_PASTRY_WORKPLACE_NAME",
--Renseigne le champ description de l'objet sert a classer l'objet dans les menus
	Description = "PV3_PASTRY_WORKPLACE_DESC",
--Renseigne le champ Building Type. cela va permettre de classer l'objet dans les menus
	BuildingType = "GENERAL",
--renseigne le champ BuildingPartList de l'objet que l'on cre un peu plus loin	
	BuildingPartSetList = {
		{
			Name = "PV3_PASTRY_WORKPLACE_NAME",
	                BuildingPartList = { "PV3_PASTRY_WORKPLACE_PART" }
                }
        }
--Renseigne le champ Nombre de villageois requis pour la construction. Ici inactiv pour le test
	--VillagerRequired = { Status = "NEWCOMER", Quantity = 8 }
})

pastry:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING_PART
	DataType = "BUILDING_PART",
--Cr l'objet
	Id = "PV3_PASTRY_WORKPLACE_PART",
	Description = "Faut bien a!",
--on dclare d'aller chercher PV3_PASTRY_WORKPLACE_PREFAB pour construire l'object final ( c'est dans le Fbx )
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PV3_PASTRY_WORKPLACE_PREFAB"
	},
--Ca c'est pour dclarer le visuel de construction si il y en a un !
	ConstructionVisual = "PV3_PASTRY_WORKPLACE_PREFAB",
--Les ressources ncessaires.
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 }
		}
	},
	AssetBuildingFunction = "FUNCTION_PV3_PASTRY"
})

pastry:register({
		DataType = "BUILDING_FUNCTION_WORKPLACE",
                Id = "FUNCTION_PV3_PASTRY",
		WorkerCapacity = 3,
                RelatedJob = { Job = "BAKER", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "PV3_EGG", Quantity = 50 },
			{ Resource = "FLOUR", Quantity = 50 },
			{ Resource = "PV3_BUTTER", Quantity = 50 },
			{ Resource = "BERRIES", Quantity = 50 }
--,
--			{ Resource = "WOOD", Quantity = 50 }
                },
                ResourceListNeeded = {
			{ Resource = "PV3_EGG", Quantity = 1 },
			{ Resource = "FLOUR", Quantity = 1 },
			{ Resource = "PV3_BUTTER", Quantity = 1 },
			{ Resource = "BERRIES", Quantity = 1 }
--,
--			{ Resource = "WOOD", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "PV3_PASTRY", Quantity = 1 }
                }
})

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {4, 6}
})

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 4, 6 }
})

pastry:registerAssetId("models/pastry.fbx/Prefab/pastryPart/step_0/cheminee/SmokeEmitter", "PV3_PASTRY_SMOKE_EMITTER_PREFAB")

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart", {
	DataType = "COMP_BUILDING_PART",
	FeedbackComponentListToActivate = {
                 { "PV3_PASTRY_SMOKE_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

-- Register air vent particle system
pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
})

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})

